Bug 432833 - Traceback on configuration SDC pages
Traceback on configuration SDC pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Brad Buckingham
Corey Welton
:
Depends On:
Blocks: 248627
  Show dependency treegraph
 
Reported: 2008-02-14 12:32 EST by Justin Sherrill
Modified: 2008-04-02 20:17 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:17:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-02-14 12:32:25 EST
Within the sdc, when visiting the three view/modify files pages i get this
traceback even though the page displays fine:




java.lang.IllegalArgumentException: Invalid type [] specified. Make sure you
specify one of the following types in your expression [dir, directory, file, folder]
        at
com.redhat.rhn.domain.config.ConfigFileType.lookup(ConfigFileType.java:90)
        at
com.redhat.rhn.frontend.configuration.tags.ConfigFileTag.checkType(ConfigFileTag.java:162)
        at
com.redhat.rhn.frontend.configuration.tags.ConfigFileTag.writeIcon(ConfigFileTag.java:138)
        at
com.redhat.rhn.frontend.configuration.tags.ConfigFileTag.doEndTag(ConfigFileTag.java:80)
        at
org.apache.jsp.WEB_002dINF.pages.configuration.sdc.viewmodifyfilescentral_jsp._jspx_meth_cfg_file_3(viewmodifyfilescentral_jsp.java:1702)
        at
org.apache.jsp.WEB_002dINF.pages.configuration.sdc.viewmodifyfilescentral_jsp._jspx_meth_c_set_7(viewmodifyfilescentral_jsp.java:1673)
        at
org.apache.jsp.WEB_002dINF.pages.configuration.sdc.viewmodifyfilescentral_jsp._jspx_meth_rl_column_4(viewmodifyfilescentral_jsp.java:1584)
        at
org.apache.jsp.WEB_002dINF.pages.configuration.sdc.viewmodifyfilescentral_jsp._jspx_meth_rl_list_0(viewmodifyfilescentral_jsp.java:1014)
        at
org.apache.jsp.WEB_002dINF.pages.configuration.sdc.viewmodifyfilescentral_jsp._jspx_meth_rl_listset_0(viewmodifyfilescentral_jsp.java:927)
        at
org.apache.jsp.WEB_002dINF.pages.configuration.sdc.viewmodifyfilescentral_jsp._jspService(viewmodifyfilescentral_jsp.java:282)
        at org.apache.jasper.runtime.HttpJspBase.service(Unknown Source)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
        at org.apache.jasper.servlet.JspServletWrapper.service(Unknown Source)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(Unknown Source)
        at org.apache.jasper.servlet.JspServlet.service(Unknown Source)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
Comment 1 Brad Buckingham 2008-02-15 10:33:48 EST
Reassigned to bbuckingham.
Comment 2 Brad Buckingham 2008-02-15 11:42:14 EST
Updated the ConfigFileTag.java to avoid checking the file type (ie. file/dir)
when the type is passed in empty.  This scenario can occur when the
ConfigFileTag is being used as part of a List that is empty.  For example,
attempting to view the "Local Sandbox" when there are no files or directories
currently in the sandbox.
Comment 3 Brad Buckingham 2008-02-15 12:00:50 EST
Note on scenario:

- select "Systems" -> pick a system -> Configuration -> View/Modify Files
  -> Centrally-Managed Files  --or--
  -> Locally-Managed Files --or--
  -> Local Sandbox

  If any of these 3 had an empty list (i.e. not files/dirs) defined, it
  would generate the java.lang.IllegalArgumentException exception 
  in the /var/log/tomcat5/catalina.out.
Comment 4 Corey Welton 2008-02-25 12:15:55 EST
QA Verified, traceback no longer occurs on empty lists.
Comment 5 Brandon Perkins 2008-03-21 15:03:30 EDT
Release Pending.
Comment 6 Brandon Perkins 2008-04-02 20:17:41 EDT
5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.